--- StorageEngine.class_original.php	2010-04-08 14:56:22.000000000 +0200
+++ StorageEngine.class.php	2010-04-08 15:00:19.000000000 +0200
@@ -184,6 +184,16 @@ class PMA_StorageEngine
                     unset($parsed_size);
                 break;
                 case PMA_ENGINE_DETAILS_TYPE_NUMERIC:
+                    /**
+                     * @bug http://sourceforge.net/tracker/?func=detail&aid=2983056&group_id=23067&atid=377408
+                     * 
+                     * Some sysvars declared as numeric type
+                     * are equal to ON or OFF.
+                     * In PHP 5.3 number_format() accepts only numbers,
+                     * string throws a warning.
+                     * We ensure a number is passed.
+                     */
+                    $details['value'] = filter_var(strtolower($details['value']), FILTER_VALIDATE_BOOLEAN) ? 1 : 0;
                     $ret .= PMA_formatNumber($details['value']) . ' ';
                 break;
                 default:
